UUID_UNPARSE(3)

NAME
uuid_unparse - output UUID variable in string format

SYNOPSIS
#include <uuid/uuid.h>

void uuid_unparse(uuid_t uu, char *out);

DESCRIPTION
The uuid_unparse function converts the supplied UUID uu from the internal binary format into a 36-byte string (plus tailing '\0') of the form 1b4e28ba-2fa1-11d2-883f-b9a76 and stores this value in the character string pointed to by out.

CONFORMING TO
OSF DCE 1.1

AUTHOR
uuid_unparse was written by Theodore Y. Ts'o for the ext2 filesystem utilties.

AVAILABILITY
uuid_unparse is part of libuuid from the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libuuid(3), uuid_clear(3), uuid_generate(3), uuid_parse(3), uuid_time(3)